<?xml version="1.0" encoding="UTF-8"?><refentry xmlns="http://docbook.org/ns/docbook" xmlns:db="http://docbook.org/ns/docbook" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:xlink="http://www.w3.org/1999/xlink" version="5.0-subset Scilab" xml:id="REP_TEMP">
<refnamediv>
<refname>REP_TEMP</refname>
<refpurpose>Temporal response</refpurpose>
</refnamediv>
<refsection>
<title>Block screenshot</title>
<para>
<inlinemediaobject>
<imageobject>
<imagedata align="center" fileref="../../images/gif/REP_TEMP.gif" valign="middle"/>
</imageobject>
</inlinemediaobject>
</para>
</refsection>
<refsection id="Contents_REP_TEMP">
<title>Contents</title>
<itemizedlist>
<listitem>
<para>
<link linkend="REP_TEMP">Temporal response</link>
</para>
<itemizedlist>
<listitem>
<para>
<xref linkend="Palette_REP_TEMP">Palette</xref>
</para>
</listitem>
<listitem>
<para>
<xref linkend="Description_REP_TEMP">Description</xref>
</para>
</listitem>
<listitem>
<para>
<xref linkend="Dialogue_box_REP_TEMP">Dialog box</xref>
</para>
</listitem>
<listitem>
<para>
<xref linkend="Defaultproperties_REP_TEMP">Default properties</xref>
</para>
</listitem>
<listitem>
<para>
<xref linkend="Example1_REP_TEMP">Example</xref>
</para>
</listitem>

<listitem>
<para>
<xref linkend="Interfacingfunction_REP_TEMP">Interfacing function</xref>
</para>
</listitem>
<listitem>
<para>
<xref linkend="Seealso_REP_TEMP">See also</xref>
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsection>
<refsection id="Palette_REP_TEMP">
<title>Palette</title>
<itemizedlist>
<listitem>
<para>
CPGE - Analysis
</para>
</listitem>
</itemizedlist>
</refsection>
<refsection id="Description_REP_TEMP">
<title>Description</title>
<para>
This block allows to define the number of points and the time range of simulation of the temporal responses, in a practical and visible way. It is associated to the SCOPE blocks, which are functional only in presence of a REP_TEMP block.

</para>
<para>
Once placed on the windows, the REP_TEMP block indicates the time of simulation. In the example, the block indicates 6 secondes of simulation and the curve is generated by the block SCOPE. When there is several SCOPE blocks, the modification of the parameters of the REP_TEMP block allows to ajust all the blocks.

</para>


<para>
<inlinemediaobject>
<imageobject>
<imagedata align="center" fileref="REP_TEMP_illustration.png" valign="middle"/>
</imageobject>
</inlinemediaobject>
</para>
<para>
There should not have multiple REP_TEMP blocks but, if it is the case, the longer time will be taken into account.
</para>
</refsection>



<refsection id="Dialogue_box_REP_TEMP">
<title>Dialog box</title>
<para>
The setting of the block is done with 1 dialog box.
</para>
<para>
<inlinemediaobject>
<imageobject>
<imagedata align="center" fileref="REP_TEMP_dialogue1.png" valign="middle"/>
</imageobject>
</inlinemediaobject>
</para>
<para>
The dialog box allows to precise the number of calculated points for the plot of the temporal response, the duration of the simulation and the display (or not) of the grid on the curves.
</para>
<itemizedlist>
<listitem>
<emphasis role="bold">Number of points: </emphasis>positif integer to define the number of calculated points for the plot of the curves.
</listitem>
<listitem>
<emphasis role="bold">Simulation duration:</emphasis>in secondes,
</listitem>
<listitem>
<emphasis role="bold">Display grid: </emphasis>1 yes, 0 no.
</listitem>
</itemizedlist>
</refsection>


<refsection id="Defaultproperties_REP_TEMP">
<title>Default properties</title>
<itemizedlist>
<listitem>
<para><emphasis role="bold">Number of points: </emphasis> 200</para>
</listitem>
<listitem>
<para><emphasis role="bold">Simulation duration: </emphasis> 100</para>
</listitem>
<listitem>
<para><emphasis role="bold">Display grid: </emphasis> 1 (yes)</para>
</listitem>

</itemizedlist>
</refsection>


<refsection id="Example1_REP_TEMP">
<title>Example 1</title>
<para>This diagram shows the use of the REP_TEMP block to plot the temporal response of a brushed DC motor with a step of voltage, in 0.5 secondes.</para>
<para> 
<link linkend="scilab.xcos/../../examples/Exemple1_rep_temp_moteurCC.xcos" type="scilab">Open the example in Xcos !</link> 
</para>

<para>
<inlinemediaobject>
<imageobject>
<imagedata align="center" fileref="REP_TEMP_exemple1.png" valign="middle"/>
</imageobject>
</inlinemediaobject>
</para>
<para>The parameters R, L, Jeq and K are defined in the context (Simulation -&gt; Modify the contexte).</para> 

</refsection>





<refsection id="Interfacingfunction_REP_TEMP">
<title>Intefacing funciton</title>
<itemizedlist>
<listitem>
<para> CPGE_TOOLBOX/macros/REP_TEMP.sci</para>
</listitem>
</itemizedlist>
</refsection>


<refsection id="Computationalfunction_REP_TEMP">
<title>Computational function</title>
<itemizedlist>
<listitem>
<para> CPGE_TOOLBOX/macros/REP_TEMP_sim.sci</para>
</listitem>
<listitem>
<para> CPGE_TOOLBOX/macros/REP_TEMP_pre_simulate.sci</para>
</listitem>
</itemizedlist>
</refsection>


<refsection id="Seealso_REP_TEMP">
<title>See also</title>
<itemizedlist>
<listitem>
<para> REP_FREQ</para>
</listitem>
</itemizedlist>
</refsection>
</refentry>
